<bugID>344575<Summary>[newprefs] Suspected forgery preferences not properly spoken by WindowEyes</Summary><Description>Steps to reproduce:

1. Run WindowEyes v5.5K
2. Run a trunk build of Firefox that has the newly reorganized prefs window
3. Tools / Options / Security
4. Tab to "Use a list of suspected forgeries provided by...".   WindowEyes speaks this exact title.  I would prefer that it also spoke the value of the combo box on the right, i.e. "Use a list of suspected forgeries provided by Google."
5. Tab to the combo box immediately to the right of "Use a list of suspected forgeries provided by..."  WindowEyes speaks "se a list of suspected forgeries provided by Google".  (That is not a typo, it does not speak the "U".)  I would prefer that it spoke the entire phrase "Use a list of suspected forgeries provided by Google".
6. Tab back to the radio button and arrow down to "Ask [Google] to check every site I visit."  WindowEyes speaks "Ask".  I would prefer that it spoke "Ask Google to check every site I visit."
7. Tab to the combo box between "Ask" and "to check every site I visit."  WindowEyes speaks "s k Google."  (Not a typo, it does not speak the "A".)  In particular, WindowEyes will never speak the rest of the phrase, "to check every site I visit", which seems kind of important.  I would prefer that it spoke the entire phrase on each control (both the radio button and the combo box).

This is similar to bug 344572, in that we need to override the default accessible name for specific controls.  Firefox 1.5 got this right (in the "Remember visited sites for the last [9] days" control).</Description></bugID>